%{?nodejs_find_provides_and_requires}
Name:                nodejs-strip-json-comments
Version:             4.0.0
Release:             1
Summary:             Strip comments from JSON
License:             MIT
URL:                 https://github.com/sindresorhus/strip-json-comments
Source:              https://github.com/sindresorhus/strip-json-comments/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
Strip comments from JSON. Lets you use comments in your JSON files!

%prep
%autosetup -n strip-json-comments-%{version} -p1

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-json-comments
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/strip-json-comments
%nodejs_symlink_deps

%files
%doc readme.md license
%{nodejs_sitelib}/strip-json-comments

%changelog
* Tue Jul 5 2022 caodongxia <caodongxia@h-partners.com> - 4.0.0-1
- Update to 4.0.0

* Wed Aug 12 2020 wangyue <wangyue92@huawei.com> - 2.0.1-1
- package init
